This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 981160 - IPA sudorule-add-allow-command does not works
IPA sudorule-add-allow-command does not works
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.4
Unspecified Unspecified
medium Severity high
: rc
: ---
Assigned To: Martin Kosek
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 03:07 EDT by David Spurek
Modified: 2015-03-02 00:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 09:11:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Spurek 2013-07-04 03:07:49 EDT
Description of problem:
IPA sudorule-add-allow-command does not works, allow command is not added.

Version-Release number of selected component (if applicable):
ipa-server-3.0.0-25.el6

How reproducible:
always

Steps to Reproduce:
1.install ipa server
2.ipa sudorule-add test-sudorule
3.ipa sudorule-add-allow-command test-sudorule --sudocmds="/bin/date"
4.ipa sudorule-show test-sudorule

Actual results:
[root@ipa1 ~]# ipa sudorule-add-allow-command test-sudorule --sudocmds="/bin/date"
  Rule name: test-sudorule
  Enabled: TRUE
-------------------------
Number of members added 0
-------------------------
[root@ipa1 ~]# ipa sudorule-show test-sudorule
  Rule name: test-sudorule
  Enabled: TRUE


Expected results:
test-sudorule should contain 'Sudo Allow Commands: /bin/date' entry

Additional info:
Comment 1 Rob Crittenden 2013-07-05 09:15:42 EDT
Does a sudo command named /bin/date exist?

ipa sudocmd-show /bin/date
Comment 2 David Spurek 2013-07-08 03:29:16 EDT
Sudo command /bin/date doesn't exist. I don't know that is needed to add sudocmd first. 

If I add sudocmd /bin/date then 'ipa sudorule-add-allow-command' works correctly. Please close a bug as 'NOTABUG'.

Note You need to log in before you can comment on or make changes to this bug.